//THIS FILE IS AUTOGENERATED
//DO NOT MODIFY
import { Schema } from 'mongoose';
import { BaseDocument } from '@core/api/BaseDocument';
import { ModelSchema } from '@core/orm/schema/ModelSchema';

export interface ReceptionistBaseDocument extends BaseDocument {
    name?: string;
}

export const ReceptionistBaseSchema: ModelSchema = new ModelSchema({
    name: {
        type: String,
        required: false,
        immutable: false,
        unique: false,
        select: true,
        array: false,
        writable: true,
        readable: true,
        defaultColumn: false,
        listed: true,
    },
});

ReceptionistBaseSchema.methods.getDisplayName = function () {
    return this._id;
};

ReceptionistBaseSchema.statics.conditions = {
    required: {},
    disabled: {},
    validate: {},
};
